org.apache.synapse.transport.vfs

## Class VFSTransportSender

- java.lang.Object
- - org.apache.axis2.handlers.AbstractHandler
  - - org.apache.axis2.transport.base.AbstractTransportSender
    - - org.apache.synapse.transport.vfs.VFSTransportSender

- All Implemented Interfaces:
    org.apache.axis2.engine.Handler, org.apache.axis2.transport.base.ManagementSupport, org.apache.axis2.transport.TransportSender

      public class VFSTransportSender
      extends org.apache.axis2.transport.base.AbstractTransportSender
      implements org.apache.axis2.transport.base.ManagementSupport

  axis2.xml - transport definition enable|disable ?

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler

      `org.apache.axis2.engine.Handler.InvocationResponse`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TRANSPORT_NAME`

    - ### Fields inherited from class org.apache.axis2.transport.base.AbstractTransportSender

      `cfgCtx, log, metrics`

    - ### Fields inherited from class org.apache.axis2.handlers.AbstractHandler

      `handlerDesc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VFSTransportSender()` The public constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(org.apache.axis2.context.ConfigurationContext cfgCtx, org.apache.axis2.description.TransportOutDescription transportOut)` Initialize the VFS file system manager and be ready to send messages
    `void` | `sendMessage(org.apache.axis2.context.MessageContext msgCtx, java.lang.String targetAddress, org.apache.axis2.transport.OutTransportInfo outTransportInfo)` Send the given message over the VFS transport

    - ### Methods inherited from class org.apache.axis2.transport.base.AbstractTransportSender

      `cleanup, createResponseMessageContext, getActiveThreadCount, getAvgSizeReceived, getAvgSizeSent, getBytesReceived, getBytesSent, getFaultsReceiving, getFaultsSending, getLastResetTime, getMaxSizeReceived, getMaxSizeSent, getMessagesReceived, getMessagesSent, getMetricsWindow, getMinSizeReceived, getMinSizeSent, getQueueSize, getResponseCodeTable, getTimeoutsReceiving, getTimeoutsSending, getTransportName, handleException, handleException, handleIncomingMessage, invoke, logException, maintenenceShutdown, pause, resetStatistics, resume, stop, waitForSynchronousResponse`

    - ### Methods inherited from class org.apache.axis2.handlers.AbstractHandler

      `cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.axis2.transport.base.ManagementSupport

      `getActiveThreadCount, getAvgSizeReceived, getAvgSizeSent, getBytesReceived, getBytesSent, getFaultsReceiving, getFaultsSending, getLastResetTime, getMaxSizeReceived, getMaxSizeSent, getMessagesReceived, getMessagesSent, getMetricsWindow, getMinSizeReceived, getMinSizeSent, getQueueSize, getResponseCodeTable, getTimeoutsReceiving, getTimeoutsSending, maintenenceShutdown, pause, resetStatistics, resume`

    - ### Methods inherited from interface org.apache.axis2.engine.Handler

      `cleanup, flowComplete, getHandlerDesc, getName, getParameter, init`

- - ### Field Detail

    - #### TRANSPORT_NAME

          public static final java.lang.String TRANSPORT_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VFSTransportSender

          public VFSTransportSender()

      The public constructor

  - ### Method Detail

    - #### init

          public void init(org.apache.axis2.context.ConfigurationContext cfgCtx,
                           org.apache.axis2.description.TransportOutDescription transportOut)
                    throws org.apache.axis2.AxisFault

      Initialize the VFS file system manager and be ready to send messages
      Specified by:
        `init` in interface `org.apache.axis2.transport.TransportSender`
      Overrides:
        `init` in class `org.apache.axis2.transport.base.AbstractTransportSender`
      Parameters:
        `cfgCtx` - the axis2 configuration context
        `transportOut` - the transport-out description
      Throws:
        `org.apache.axis2.AxisFault` - on error

    - #### sendMessage

          public void sendMessage(org.apache.axis2.context.MessageContext msgCtx,
                                  java.lang.String targetAddress,
                                  org.apache.axis2.transport.OutTransportInfo outTransportInfo)
                           throws org.apache.axis2.AxisFault

      Send the given message over the VFS transport
      Specified by:
        `sendMessage` in class `org.apache.axis2.transport.base.AbstractTransportSender`
      Parameters:
        `msgCtx` - the axis2 message context
      Throws:
        `org.apache.axis2.AxisFault` - on error

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.